function mini_create ()
  show_help_wnd=true;
  init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ОДНОМЕРНОЙ ИГРЫ ПЕРЕВЁРТЫШИ "ТАРЕЛКИ".
--  1-й параметр - Код игры. Для этой игры код - 39.
--  2-й параметр - Количество элементов. P.S. Нечётное число.
--  3-й параметр - Стартовый идентификатор элементов.
  create_mini(39,5,646);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

  if sender==30 then
  BlockCursor(false);
    setcurentleaf("daus_bar",19,1);
      flags.nohints=false;
    if flags.minicomplete47 then
      playeffect("29");
      StopEmiter("pu4ok"); 
      Set_Cursor(44,3);
      CreateWindow(150,250,"206",19,nil,250,30); 
        --playeffect("01");  
        savegame(SaveLevel());
    return; end;  
  return; end;  
  if sender==10 then
    flags.minicomplete47=true;
    StartTimer(2100,1);
BlockCursor(true);
  return; end;
  if sender==37 then
     skipping=true;
  return;end;

  if sender==36 and id==2100 then
    clear_satelite_leaf("daus_bar");
  return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"3",100,"messageinfo",30,50)
      help=true;
    end;
  return;end;
  if sender==35 then
  i= id;
  if not podsv then
    SetObjectPosition(644,x1[i-1],258)
    SetObjectPosition(643,x1[i+1],258)
    SetObjectPosition(642,x1[i],258)
    if i~=646 and i~=651 then    
    speciale_action(2,644)
    end;
    if i~=650 and i~=655 then    
    speciale_action(2,643)
    end;
    speciale_action(2,642)
    podsv= true;
  end;
  return;end;
  if sender==39 then
  if i==id and podsv then
    if i~=646 and i~=651 then    
    speciale_action(2,644)
    end;
    if i~=650 and i~=655 then    
    speciale_action(2,643)
    end;
    speciale_action(2,642)
    podsv= false;
  end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
    if sender==26 then
    if id==100 then
    set_visible_object(5001,true)
    end;
  return; end;
    if sender==6 then
    if helpbtn then
       CreateWindow(200,200,"3",100,"messageinfo",30,50)
       playeffect("11");
      helpbtn=false;
    end;
  return;end;
  if sender==1 then
    if id==6000 then
      helpbtn=true;
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete47 then
        finish_mini_game(true);
      return;end;  
    return;end;
    if id==645 then
    playeffect("17");
      finish_mini_game(false);
      clear_satelite_leaf("daus_bar");
      DeleteResource("m47_close"       );
      DeleteResource("m47_fon"         );
      DeleteResource("m47_lenta"         );
      -- DeleteResource("m47_vniz"         );
      DeleteResource("podsv"         );
    return;end;

    if id>645 and id<656 and not flags.minicomplete47 
      then
        check_mini_game_Plates(id);
      playeffect("gorwok");
        return
      end;  
  -- return; end;
  
  return; end;
end;